Package fr.gouv.vitam.batch.report.model

# Class PreservationStatsModel

java.lang.Object
fr.gouv.vitam.batch.report.model.PreservationStatsModel

public class PreservationStatsModel extends Object

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `PreservationStatsModel(int nbUnits, int nbObjectGroups, int nbStatusKos, int nbActionsAnalyse, int nbActionsGenerate, int nbActionsIdentify, int nbActionsExtract, Map<String,Integer> analyseResults, int nbStatusWarning)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Map<String,Integer>`
  `getAnalyseResults()`
  `int`
  `getNbActionsAnalyse()`
  `int`
  `getNbActionsExtract()`
  `int`
  `getNbActionsGenerate()`
  `int`
  `getNbActionsIdentify()`
  `int`
  `getNbObjectGroups()`
  `int`
  `getNbStatusKos()`
  `int`
  `getNbStatusWarning()`
  `int`
  `getNbUnits()`
  `void`
  `setAnalyseResults(Map<String,Integer> analyseResults)`
  `void`
  `setNbActionsAnalyse(int nbActionsAnalyse)`
  `void`
  `setNbActionsExtract(int nbActionsExtract)`
  `void`
  `setNbActionsGenerate(int nbActionsGenerate)`
  `void`
  `setNbActionsIdentify(int nbActionsIdentify)`
  `void`
  `setNbObjectGroups(int nbObjectGroups)`
  `void`
  `setNbStatusKos(int nbStatusKos)`
  `void`
  `setNbStatusWarning(int nbStatusWarning)`
  `void`
  `setNbUnits(int nbUnits)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### PreservationStatsModel

    public PreservationStatsModel(int nbUnits, int nbObjectGroups, int nbStatusKos, int nbActionsAnalyse, int nbActionsGenerate, int nbActionsIdentify, int nbActionsExtract, Map<String,Integer> analyseResults, int nbStatusWarning)

- ## Method Details

  - ### getNbUnits

    public int getNbUnits()

  - ### setNbUnits

    public void setNbUnits(int nbUnits)

  - ### getNbObjectGroups

    public int getNbObjectGroups()

  - ### setNbObjectGroups

    public void setNbObjectGroups(int nbObjectGroups)

  - ### getNbStatusKos

    public int getNbStatusKos()

  - ### setNbStatusKos

    public void setNbStatusKos(int nbStatusKos)

  - ### getNbActionsAnalyse

    public int getNbActionsAnalyse()

  - ### setNbActionsAnalyse

    public void setNbActionsAnalyse(int nbActionsAnalyse)

  - ### getNbActionsGenerate

    public int getNbActionsGenerate()

  - ### setNbActionsGenerate

    public void setNbActionsGenerate(int nbActionsGenerate)

  - ### getNbActionsIdentify

    public int getNbActionsIdentify()

  - ### setNbActionsIdentify

    public void setNbActionsIdentify(int nbActionsIdentify)

  - ### getNbActionsExtract

    public int getNbActionsExtract()

  - ### setNbActionsExtract

    public void setNbActionsExtract(int nbActionsExtract)

  - ### getAnalyseResults

    public Map<String,Integer> getAnalyseResults()

  - ### setAnalyseResults

    public void setAnalyseResults(Map<String,Integer> analyseResults)

  - ### getNbStatusWarning

    public int getNbStatusWarning()

  - ### setNbStatusWarning

    public void setNbStatusWarning(int nbStatusWarning)